## org.codehaus.groovy.grails.commons
Class ClassPropertyFetcher.GetterPropertyFetcher

    java.lang.Object
      org.codehaus.groovy.grails.commons.ClassPropertyFetcher.GetterPropertyFetcher

All Implemented Interfaces:
  ClassPropertyFetcher.PropertyFetcher

Enclosing class:
  ClassPropertyFetcher

    static class ClassPropertyFetcher.GetterPropertyFetcher

extends Object
implements ClassPropertyFetcher.PropertyFetcher

Constructor Summary
`ClassPropertyFetcher.GetterPropertyFetcher(Method readMethod, boolean staticMethod)`

Method Summary
`Object` `get(ClassPropertyFetcher.ReferenceInstanceCallback callback)`
`Class` `getPropertyType(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ClassPropertyFetcher.GetterPropertyFetcher

    ClassPropertyFetcher.GetterPropertyFetcher(Method readMethod,
                                               boolean staticMethod)

Method Detail

### get

    public Object get(ClassPropertyFetcher.ReferenceInstanceCallback callback)
               throws IllegalArgumentException,
                      IllegalAccessException,
                      InvocationTargetException

  Specified by:
    `get` in interface `ClassPropertyFetcher.PropertyFetcher`
  Throws:
    `IllegalArgumentException`
    `IllegalAccessException`
    `InvocationTargetException`

### getPropertyType

    public Class getPropertyType(String name)

  Specified by:
    `getPropertyType` in interface `ClassPropertyFetcher.PropertyFetcher`

Copyright (c) 2005-2009 The Grails project